package com.jjt.biz.controller;

import com.jjt.biz.domain.*;
import com.jjt.biz.service.IBluetoothInfoService;
import com.jjt.biz.service.IDeviceInfoService;
import com.jjt.biz.service.IVenueInfoService;
import com.jjt.biz.service.IWifiInfoService;
import com.jjt.common.annotation.Log;
import com.jjt.common.core.controller.BaseController;
import com.jjt.common.core.domain.AjaxResult;
import com.jjt.common.core.page.TableDataInfo;
import com.jjt.common.enums.BusinessType;
import com.jjt.common.utils.poi.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 蓝牙信息Controller
 *
 * @author ruoyi
 * @date 2023-07-06
 */
@RestController
@RequestMapping("/index")
public class IndexController extends BaseController {
    @Resource
    private IBluetoothInfoService bluetoothInfoService;
    @Resource
    private IDeviceInfoService deviceInfoService;
    @Resource
    private IWifiInfoService wifiInfoService;
    @Resource
    private IVenueInfoService venueInfoService;

    /**
     * 首页信息
     */
    @GetMapping("/info")
    public Map<String, Object> info() {
        Map<String, Object> map = new HashMap<>(16);
        List deviceInfos = deviceInfoService.selectDeviceInfoList(new DeviceInfo());
        map.put("deviceNO", deviceInfos.size());
        WifiInfo wifiInfo = new WifiInfo();
        wifiInfo.setIsIllegal("Y");
        List wifiInfos = wifiInfoService.selectWifiInfoList(wifiInfo);
        map.put("wifiNO", wifiInfos.size());
        BluetoothInfo bluetoothInfo = new BluetoothInfo();
        bluetoothInfo.setIsIllegal("Y");
        List bluetoothInfos = bluetoothInfoService.selectBluetoothInfoList(bluetoothInfo);
        map.put("bluetoothNO", bluetoothInfos.size());
        List venueInfos = venueInfoService.selectVenueInfoList(new VenueInfo());
        map.put("venueNO", venueInfos.size());
        return map;
    }

    /**
     * 首页信息
     */
    @GetMapping("/top")
    public List<TopVO> top() {
        List<TopVO> list = venueInfoService.selectTop10();
//        list.add(new TopVO("东安湖体育公园游泳跳水馆", 87, 84));
//        list.add(new TopVO("东安湖体育公园多功能体育馆", 33, 80));
//        list.add(new TopVO("凤凰山体育公园", 99, 89));
//        list.add(new TopVO("高新体育中心体育馆", 75, 74));
//        list.add(new TopVO("简阳文体中心游泳馆", 65, 78));
//        list.add(new TopVO("简阳文体中心体育馆", 2, 23));
//        list.add(new TopVO("四川大学望江校区体育馆", 78, 41));
//        list.add(new TopVO("电子科技大学清水河校区体育馆", 49, 41));
//        list.add(new TopVO("西南财大光华校区体育馆", 25, 60));
//        list.add(new TopVO("西南交通大学犀浦校区体育馆", 32, 83));
        return list;
    }
}
